package org.snmp4j.security;

import org.snmp4j.smi.OID;

/**
 * The class <code>AuthHMAC384SHA512</code> implements the usmHMAC384SHA5126AuthProtocol
 * defined by RFC 7630.
 *
 * @author Frank Fock
 * @since 2.4.0
 */
public class AuthHMAC384SHA512 extends AuthSHA2 {

  public static final OID ID = new OID(new int[] { 1,3,6,1,6,3,10,1,1,7 });
  private static final int DIGEST_LENGTH = 48;
  private static final int AUTH_CODE_LENGTH = 64;

  /**
   * Creates an usmHMAC192SHA256AuthProtocol implementation.
   */
  public AuthHMAC384SHA512() {
    super("SHA-512", ID, DIGEST_LENGTH, AUTH_CODE_LENGTH);
  }

}
